## ros-one-qb-device-gazebo 3.1.2-1jammy.20260221.2312

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qb_device_gazebo VERSION 3.1.2 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    gazebo_ros_control
    controller_manager
)
find_package(gazebo REQUIRED)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

link_directories(${GAZEBO_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    combined_robot_hw_sim
  CATKIN_DEPENDS
    roscpp
    controller_manager
    gazebo_ros_control
)

# Exported libraries
add_library(combined_robot_hw_sim
  src/combined_robot_hw_sim.cpp
)

target_link_libraries(combined_robot_hw_sim
  ${catkin_LIBRARIES}
)

# C++ Settings
if (CMAKE_VERSION VERSION_LESS "3.1")
  target_compile_options(combined_robot_hw_sim
    PUBLIC
      "-std=c++17"
  )
else ()
  set_property(
    TARGET
      combined_robot_hw_sim
    PROPERTY CXX_STANDARD 17
  )

  set_property(
    TARGET
      combined_robot_hw_sim
    PROPERTY CXX_STANDARD_REQUIRED ON
  )
endif ()

# Installation
install(
  TARGETS combined_robot_hw_sim
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  DIRECTORY
    include/qb_device_gazebo/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  DIRECTORY
    worlds/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/worlds
)

install(
  FILES
    plugin.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-qb-device-gazebo (3.1.2-1jammy.20260221.2312) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Sat, 21 Feb 2026 23:12:38 +0000

ros-one-qb-device-gazebo (3.1.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-gazebo (3.1.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-gazebo (3.1.0-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Jul 2023 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.6-0jammy) jammy; urgency=high

  * MINOR FIX: Changed the name of the package maintainer

 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.5-0jammy) jammy; urgency=high

  * MINOR FIX: Changed cmake version required in all packages (current version 3.0.2).

 -- qb Support Team <support@qbrobotics.com>  Wed, 07 Sep 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.4-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Mon, 18 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.3-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 15 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Thu, 07 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Wed, 06 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.0-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Tue, 05 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.4-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.3-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.1-0jammy) jammy; urgency=high

  * Modified C++ standard

 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.0-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.2.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-device-gazebo (2.2.0-0jammy) jammy; urgency=high

  * Added changelog file
  * Refactor Gazebo plugin to prepare for SoftHand simulation

 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

=== debian/control ===
Source: ros-one-qb-device-gazebo
Section: misc
Priority: optional
Maintainer: qb Support Team <support@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-controller-manager, ros-one-gazebo-ros-control, ros-one-roscpp
Homepage: http://wiki.ros.org/qb_device_gazebo
Standards-Version: 3.9.2

Package: ros-one-qb-device-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-manager, ros-one-gazebo-ros-control, ros-one-roscpp
Description: This package contains the Gazebo ROS control custom dependencies for qbrobotics® devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-qb-device-gazebo//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-qb-device-gazebo 3.1.2-1noble.20251023.1225

=== debian/changelog ===
ros-one-qb-device-gazebo (3.1.2-1noble.20251023.1225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Thu, 23 Oct 2025 12:25:07 +0000

ros-one-qb-device-gazebo (3.1.2-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-gazebo (3.1.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-gazebo (3.1.0-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Jul 2023 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.6-0noble) noble; urgency=high

  * MINOR FIX: Changed the name of the package maintainer

 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.5-0noble) noble; urgency=high

  * MINOR FIX: Changed cmake version required in all packages (current version 3.0.2).

 -- qb Support Team <support@qbrobotics.com>  Wed, 07 Sep 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.4-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Mon, 18 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.3-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 15 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.2-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Thu, 07 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Wed, 06 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (3.0.0-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Tue, 05 Jul 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.4-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.3-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.2-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.1-0noble) noble; urgency=high

  * Modified C++ standard

 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.3.0-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-gazebo (2.2.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-device-gazebo (2.2.0-0noble) noble; urgency=high

  * Added changelog file
  * Refactor Gazebo plugin to prepare for SoftHand simulation

 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

## ros-one-qb-device-gazebo 3.1.2-1noble.20260222.0017

=== debian/changelog ===
ros-one-qb-device-gazebo (3.1.2-1noble.20260222.0017) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Sun, 22 Feb 2026 00:17:36 +0000
